XCOMM $Id: Makefile.mk,v 1.24 1996/08/02 16:24:44 deaven Exp deaven $

#include "machine.mk"

#ifdef __NetBSD__
ARCH_FLAGS = -DNOIEEE
#endif
#ifdef __I860__
ARCH_FLAGS = -DNOIEEE
#endif
#ifdef __CRAY__
ARCH_FLAGS = -DNO_RINT -DNO_COPYSIGN
#endif

CFLAGS = $(C_ALWAYS_FLAGS) $(C_OPTIMIZE_FLAGS) $(ARCH_FLAGS)
EXELIBS = $(LD_ALWAYS_FLAGS) libdmd.a $(LD_MATH_FLAGS)

TOOLOBJS = spline.o splint.o spline2.o spline3.o spline4.o spline5.o \
	spline6.o spline7.o memory.o memory2.o error.o \
	PrintRM.o PrintCM.o linmin.o NumericalDerivative.o \
	fit.o fitmain.o fit_cg.o fit_ds.o fit_gs.o fit_mc.o \
	gentra.o transf.o cross.o norm.o ypr.o quaternion.o \
	mnbrak.o conjgrad.o random.o optdfp.o invupd.o getargv.o \
	neighbor.o element.o eishtridi.o eistql1.o anint.o \
	eistql2.o eistred2.o marquardt.o calcfermi.o dbrent.o \
	slaterkoster.o fprintnl.o nordsk.o temperature.o \
	dmdtimer.o dmdtimer2.o dmdtimer3.o \
	galloc.o gdist.o gdiff.o grrotate.o gfile.o \
	gdigitize.o gdigitize2.o matinv3.o mmul3.o matmul3.o \
	gmoment.o gprint.o gread.o greorder.o gstdorient.o gcat.o gcpy.o \
	gboxcenter.o gsetbox.o gconnect.o gcopyatom.o gseparate.o \
	gcontract.o glattice.o gvolume.o gmopac.o gmask.o gorient.o \
	gcentralcell.o gprettycell.o galignypr.o gsplit.o \
	newnl.o newnlm.o nearnb.o getcommonnl.o \
	histogram.o histogram2.o f77read.o ansiconvert.o ansiio.o \
	rgb.o amoeba.o lstsquare.o file.o findfile.o \
	performance.o iov.o setenv.o strsep.o

TOOLOBJSXX = Object.o String.o

HEAD = eisdiag.h element.h geometry.h invupd.h memory.h \
	neighbor.h random.h spline.h tools.h slaterkoster.h \
	dmdtimer.h histogram.h ansiconvert.h rgb.h \
	linguafranca.h complex.h fit.h \
	Object.h String.h \
	machine.mk

EXE = polyfit splinefit rancat histxy
TARGETS = $(EXE) libdmd.a libdmd++.a dmdman2html

default: $(TARGETS)

libinstall: libdmd.a libdmd++.a dmdman2html headstamp
	install_files(libdmd.a libdmd++.a,$(DMDDIR)/lib)
	install_files(dmdpp dmdconfig dmdman2html,$(DMDDIR)/bin)

maninstall:
	cd doc; make install

headstamp: $(HEAD)
	install_files($(HEAD),$(DMDDIR)/include/dmd)
	touch $@

install: libinstall $(EXE) maninstall
	install_files($(EXE),$(DMDDIR)/bin)

rancat: rancat.o libdmd.a
	$(CC) -o $@ rancat.o $(EXELIBS)

polyfit: polyfit.o libdmd.a
	$(CC) -o $@ polyfit.o $(EXELIBS)

splinefit: splinefit.o libdmd.a
	$(CC) -o $@ splinefit.o $(EXELIBS)

histxy: histxy.o libdmd.a
	$(CC) -o $@ histxy.o $(EXELIBS)

dmdman2html: dmdman2html.o libdmd.a
	$(CC) -o $@ dmdman2html.o $(EXELIBS)

libdmd.a: $(TOOLOBJS)
	make_library($(TOOLOBJS),$@)

libdmd++.a: $(TOOLOBJSXX)
	make_library($(TOOLOBJSXX),$@)

clean:
	rm -f *.o core
	rm -f $(TARGETS)
	rm -f manual.toc manual.aux manual.dvi manual.log

depend: 
	make_depend(*.c,depend.make)
	make_cxx_depend(*.C,depend2.make)
	cat depend2.make >> depend.make
	rm -f depend2.make

include_file(depend.make)
