/* This file is part of David Deaven's personal library.
 * Copyright (c) 1994 David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: ansiconvert.h,v 1.2 1995/08/29 22:45:15 deaven Exp deaven $
 * $Author: deaven $
 */

#ifndef _ANSICONVERT_H_
#define _ANSICONVERT_H_

#ifdef __cplusplus
extern "C" {
#endif

#define ANSI_INT_SIZE		4
#define ANSI_FLOAT_SIZE		4
#define ANSI_DOUBLE_SIZE	8

int ansiint(unsigned char *data);
double ansidouble(unsigned char *data);
double ansifloat(unsigned char *data);
unsigned char *intansi(unsigned char *data, int i);
unsigned char *doubleansi(unsigned char *data, double f);
unsigned char *floatansi(unsigned char *data, double f);

void FreeANSIReadWriteBuffer(void);
int WriteANSIDouble(FILE *f, double *a, int n);
int WriteANSIInt(FILE *f, int *a, int n);
int ReadANSIDouble(FILE *f, double *a, int n);
int ReadANSIInt(FILE *f, int *a, int n);

#ifdef __cplusplus
}
#endif

#endif /* _ANSICONVERT_H_ */
