/* A few routines to provide timer-interface with F77.
 * Copyright (c) 1995 Jennifer L. Corkill, David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: dmdtimer3.c,v 1.2 1995/08/29 22:45:15 deaven Exp $
 * $Author: deaven $
 */

#include <stdio.h>

/* make sure ENABLETIMER */
/* is defined before dmdtimer.h */
#ifndef ENABLETIMER  
#define ENABLETIMER
#endif /* ENABLETIMER */

#include "dmdtimer.h"
#include "linguafranca.h"


#ifndef ncube
void CALL_F77(f77enter)(char *s)
#else /* ncube is brain-damaged */
void CALL_F77(F77ENTER)(char *s)
#endif
{
   timerenter(s,"F77_sub",0);
}


#ifndef ncube
void CALL_F77(f77leave)(void)
#else /* ncube is brain-damaged */
void CALL_F77(F77LEAVE)(void)
#endif
{
   timerleave("F77_sub",0);
}


#ifndef ncube
void CALL_F77(f77timereport)(void)
#else /* ncube is brain-damaged */
void CALL_F77(F77TIMEREPORT)(void)
#endif
{
  FILE *fp;
  fp=fopen("time_report.out","w");
  timerreport(fp);
  fclose(fp);
}
