/* This file is part of David Deaven's personal library.
 * Copyright (c) 1994 David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: element.h,v 1.2 1995/08/29 22:45:15 deaven Exp deaven $
 * $Author: deaven $
 */

#ifndef _ELEMENT_H_
#define _ELEMENT_H_

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
  char *name;		/* abbreviated name, ex: "Ag" */
  char *fullname;	/* complete name, uncapitalized, ex: "silver" */
  int anum;		/* atomic number, or zero if not an element */
  double mass;		/* mass in amu */
  double radius;	/* neutral atomic radius in bohr */
  double bondr;		/* binding radius in bohr */
  char *color;		/* a string suggesting a color name, ex: "red" */
} Element;

Element *FindElement(char *s);
Element *GuessElement(char *s);

#ifdef __cplusplus
}
#endif

#endif /* _ELEMENT_H_ */
