/* This file is part of David Deaven's personal library.
 * Copyright (c) 1994 David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: gread.c,v 1.7 1996/01/31 15:39:09 deaven Exp $
 * $Author: deaven $
 */

#include "dmd/tools.h"
#include "geometry.h"

Geometry *GCentralCell(Geometry *g)
{
	register int i, m;
	if(g->period & GP_PERIODIC)
	{
	  for(i=0; i<(g->n); ++i) {
	    for(m=0; m<3; ++m) {
	      if((g->period >> m) & 1)(g->x[i*3+m]) -= anint(g->x[i*3+m]);
	    }
	  }
	}
	return g;
}

