/* This file is part of David Deaven's personal library.
 * Copyright (c) 1994 David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: getcommonnl.c,v 1.2 1995/08/29 22:45:15 deaven Exp $
 * $Author: deaven $
 */

#include "neighbor.h"

/* Fill an integer array with entries giving the neighbors of i which are 
 * also neighbors of j.
 * THIS ROUTINE WILL BE REMOVED IN A LATER VERSION
 */
int getcommonnl(int i, int j, NeighborList *nl, int *array)
{
  int n=0, knl, knl2;
  for(knl = nl->mrkr[i]; knl<(nl->mrkr[i+1]); ++knl)
  {
    if(getnlindex(nl->list[knl]) == j) continue;
    for(knl2 = nl->mrkr[j]; knl2<(nl->mrkr[j+1]); ++knl2)
      if(nl->list[knl] == nl->list[knl2])
      {
	array[n++] = getnlindex(nl->list[knl]);
	break;
      }
  }
  return n;
}

/* Fill an integer array with entries giving the neighbors of i which are 
 * also neighbors of j.
 */
int NLIntersect(int i, int j, NeighborList *nl, nl_t *array)
{
  int n=0, knl, knl2;
  for(knl = nl->mrkr[i]; knl<(nl->mrkr[i+1]); ++knl)
  {
    if(getnlindex(nl->list[knl]) == j) continue;
    for(knl2 = nl->mrkr[j]; knl2<(nl->mrkr[j+1]); ++knl2)
      if(nl->list[knl] == nl->list[knl2])
      {
	array[n++] = nl->list[knl];
	break;
      }
  }
  return n;
}
