/* This file is part of David Deaven's personal library.
 * Copyright (c) 1994 David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: gvolume.c,v 1.3 1996/01/29 15:21:26 deaven Exp $
 * $Author: deaven $
 */

#include <stdio.h>
#include "geometry.h"
#include "tools.h"

/* Return the unit cell volume for the geometry.
 */
double Gvolume(Geometry *g)
{
    int i;
    double a[3], b[3], c[3], axb[3], volume = 0.0;
    for(i=0; i<3; ++i) {
      a[i] = g->box[3*i + 0];
      b[i] = g->box[3*i + 1];
      c[i] = g->box[3*i + 2];
    }
    Cross(a, b, axb);
    for(i=0; i<3; ++i) volume += axb[i] * c[i];

    return (volume > 0.0 ? volume : -volume);
}
