/* This file is part of David Deaven's personal library.
 * Copyright (c) 1994 David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: histxy.c,v 1.3 1995/12/01 17:18:04 deaven Exp $
 * $Author: deaven $
 */

#include <stdio.h>
#include <stdlib.h>
#include "histogram.h"

static char *usage = "usage: %s [-d #]";

void main(int argc, char **argv)
{
	int i;
	double x, y, dx = 1.0;
	Histogram *h;

	for(i=1; i<argc; ++i)
	{
	  if(argv[i][0] == '-')
	    switch(argv[i][1]) {
	      case 'd': sscanf(argv[++i], "%lf", &dx); break;
	      default: fprintf(stderr, usage, argv[0]); exit(1);
	    }
	}

	h = Histmalloc(dx);

	while(scanf("%lf %lf", &x, &y) == 2)
		Histadd(h, x, y);

	HistXY(stdout, h);

	exit(0);
}
