/* This file is part of David Deaven's personal library.
 * Copyright (c) 1994 David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: polyfit.c,v 1.2 1995/08/29 22:45:15 deaven Exp $
 * $Author: deaven $
 */

#include <stdio.h>
#include <math.h>
#include "tools.h"
#include "memory.h"

#define CHUNK 64

void main(int argc, char **argv)
{
  int i, n=0, nd, order;
  double rx, ry, *x, *y, *coef, err, rmserr, s;
  sscanf(argv[1], "%d", &order);

  nd = CHUNK;
  x = mymalloc(nd * sizeof(double));
  y = mymalloc(nd * sizeof(double));

  while(scanf("%lf %lf", &rx, &ry)==2) {
    if(n >= nd) {
      x = realloc(x, (nd + CHUNK)*sizeof(double));
      y = realloc(y, (nd + CHUNK)*sizeof(double));
      nd += CHUNK;
    }
    x[n] = rx; y[n] = ry; ++n;
  }
  printf("read %d data, order %d fit\n", n, order);

  coef = mymalloc((order+1)*sizeof(double));
  lstsquare(x, y, n, coef, order, &err, &rmserr, &s);
  printf("y(x) = %f", coef[0]);
  for(i=1; i<=order; ++i)printf(" + %f x^%d", coef[i], i);
  printf("\nerr = %f, rmserr = %f, S = %f\n", err, rmserr, s);
  myfree(coef);
}
