/* This file is part of David Deaven's personal library.
 * Copyright (c) 1994 David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: strsep.c,v 1.2 1996/03/28 20:05:44 deaven Exp $
 * $Author: deaven $
 */

#include <stdlib.h>
#include <unistd.h>
#include "dmd/tools.h"
#include "dmd/memory.h"

#if DMD_TOOLS_NEED_STRSEP
/* For System V implementations that haven't caught up to BSD yet,
 * this is a replacement for the standard libc function.
 */
char *strsep(char **stringp, char *delim)
{
	char *next, *result = *stringp;

	if(*stringp == NULL) return NULL;

	for(next = *stringp; !strchr(delim, *next); ++next);

	*next = '\0';
	if(next == *stringp) 
	  *stringp = NULL;
	else
	  *stringp = next + 1;

	return result;
}
#endif
